# Uses of Enum Class org.bukkit.event.player.PlayerGameModeChangeEvent.Cause (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit.event.player, class: PlayerGameModeChangeEvent, enum: Cause

# Uses of Enum Class
org.bukkit.event.player.PlayerGameModeChangeEvent.Cause

Packages that use PlayerGameModeChangeEvent.Cause
Package
Description
org.bukkit.event.player
`Events` relating to `players`.

## Uses of PlayerGameModeChangeEvent.Cause in org.bukkit.event.player

Methods in org.bukkit.event.player that return PlayerGameModeChangeEvent.Cause
Modifier and Type
Method
Description
`@NotNull PlayerGameModeChangeEvent.Cause`
PlayerGameModeChangeEvent.`getCause()`
Gets the cause of this gamemode change.
`static PlayerGameModeChangeEvent.Cause`
PlayerGameModeChangeEvent.Cause.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerGameModeChangeEvent.Cause[]`
PlayerGameModeChangeEvent.Cause.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.player with parameters of type PlayerGameModeChangeEvent.Cause
Modifier
Constructor
Description
``
`PlayerGameModeChangeEvent(@NotNull Player player, @NotNull GameMode newGameMode, @NotNull PlayerGameModeChangeEvent.Cause cause, Component cancelMessage)`